<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.xunmei</groupId>
        <artifactId>soc-modules</artifactId>
        <version>0.0.1-SNAPSHOT</version>
    </parent>

    <artifactId>soc-modules-api</artifactId>
    <description>
        soc-modules-api接口服务模块
    </description>

    <dependencies>
        <!-- SpringCloud Alibaba Nacos -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
        </dependency>

        <!-- SpringCloud Alibaba Nacos Config -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
        </dependency>

        <!-- SpringCloud Alibaba Sentinel -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-sentinel</artifactId>
        </dependency>

        <!-- SpringBoot Actuator -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-actuator</artifactId>
        </dependency>

        <!-- Swagger UI -->
        <dependency>
            <groupId>io.springfox</groupId>
            <artifactId>springfox-swagger-ui</artifactId>
            <version>${swagger.fox.version}</version>
        </dependency>

        <!-- Mysql Connector -->
        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
        </dependency>


        <!--soc datascope 数据权限-->
        <dependency>
            <groupId>com.xunmei</groupId>
            <artifactId>soc-common-datascope</artifactId>
            <version>${soc.version}</version>
        </dependency>

        <dependency>
            <groupId>com.xunmei</groupId>
            <artifactId>soc-common-datasource</artifactId>
            <version>${soc.version}</version>
        </dependency>

        <dependency>
            <groupId>com.xunmei</groupId>
            <artifactId>soc-common-log</artifactId>
            <version>${soc.version}</version>
        </dependency>

        <dependency>
            <groupId>com.xunmei</groupId>
            <artifactId>soc-common-swagger</artifactId>
            <version>${soc.version}</version>
        </dependency>

    </dependencies>

</project>